import 'package:easyflu/http/exception/http_error.dart';

class HttpData<T> {

  String? msg = '';
  String? code = '';
  T? data;
  HttpError? httpError;
  Object? rawData;

  bool get success => httpError == null;

  HttpData({this.code, this.msg, this.data, this.httpError, this.rawData});

  @override
  String toString() {
    StringBuffer sb = new StringBuffer('{');
    sb.write(",\"code\":$code");
    sb.write(",\"msg\":\"$msg\"");
    sb.write(",\"data\":\"$data\"");
    sb.write('}');
    return sb.toString();
  }
}

